Subject: Re: bug#78846: Emacs hangs non-deterministically when eglot and clangd are used

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Aug 2025 16:55:13 +0300

tags 78846 unreproducible
close 78846
thanks

> Cc: [email-masked]
> Date: Sat, 19 Jul 2025 10:13:47 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> Ping! Could you please answer my questions below?

No further comments within several weeks, so I'm now closing this bug
as unreproducible.  If you see it again, we can reopen with the new
data.

> > Cc: [email-masked]
> > Date: Mon, 07 Jul 2025 17:11:16 +0300
> > From: Eli Zaretskii <[email-masked]>
> > 
> > > From: "[email-masked]" <[email-masked]>
> > > CC: "[email-masked]" <[email-masked]>
> > > Date: Mon, 7 Jul 2025 05:26:31 +0000
> > > 
> > > Sorry for the delayed response. I actually find that after removing a bunch of the optimization flags (those
> > > were just from some recipe that I copied for compiling Emacs on Windows), the specific problem of Emacs
> > > itself deadlocking goes away, though I still find Emacs will occasionally hang on the main thread, and trying
> > > to attach gdb to it via MSYS2 (which is what I use to compile Emacs with) doesn't work - however, it will
> > > recover after a non-specific amount of time has elapsed (which doesn't seem to have any relation to any of
> > > the timeout settings for eglot . I haven't had a chance to dig into this further yet, but it's definitely an
> > > improvement over having to terminate all clangd processes or restarting Emacs.
> > 
> > Thanks, but could you please try answering my other questions:
> > 
> >  . Does this happen only in Emacs 31, or did you see that in older
> >    versions as well?
> >  . How much VM do you have on that system, if memory consumption can
> >    be 200+ GB?  And what is the memory footprint of Emacs in those
> >    cases?
> >  . How many LSP servers could you have simultaneously in your
> >    sessions?
> >  . Can you rebuild Emacs without --with-wide-int, with -O2 instead of
> >    -O3, and without all the -fSOMETHING and -fno-SOMETHING switches,
> >    and see if the problem goes away (or maybe you already did that --
> >    if so, please show the updated build information)
> > 
> > 
> > 
> > 
> 
> 
> 
>